Status: Closed Start date: 2011-11-11
Assignee: Chris Cannam % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Description

The project list no longer paginates correctly -- the pagination links at the bottom are correct (or at least plausible) but the list itself now
contains all projects all of the time.

Clicking through to a second "page" just reveals another page of all the same projects.

History
#1 - 2011-11-14 11:51 AM - Luis Figueira
- Description updated
- Status changed from New to In Progress
- Assignee changed from Luis Figueira to Chris Cannam

Addressed in commit:b2a9e64b8283 but not in a sustainable way. This commit patches the Redmine's Core. Unfortunately looks like it's not possible to
override the Projects controller's index action:

http://www.redmine.org/projects/redmine/wiki/Plugin_Internals?version=1

Any ideias on how to fix this in a clean way?

#2 - 2011-11-15 10:49 AM - Chris Cannam

Confirming that the current fix/hack does in fact work.

The Project controller index method is just a method, and methods can be unhooked and replaced... can't the index method just be aliased?

#3 - 2011-11-15 03:15 PM - Luis Figueira

Aliased the index action in the plugin's Project Controller Patch (see commit:dd33798e514d).

#4 - 2011-11-18 11:28 AM - Chris Cannam
- Status changed from In Progress to Closed

Fix confirmed, but see also #337.
